Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 642542 - net-fs/openafs-1.6.22.1 : /.../afs_memcache.c:16:10: fatal error: rpc/types.h: No such file or directory
Summary: net-fs/openafs-1.6.22.1 : /.../afs_memcache.c:16:10: fatal error: rpc/types.h...
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: NP-Hardass
URL:
Whiteboard:
Keywords:
: 650720 (view as bug list)
Depends on:
Blocks: glibc-rpc glibc-2.26-stable
  Show dependency tree
 
Reported: 2017-12-28 17:05 UTC by Toralf Förster
Modified: 2019-06-08 11:27 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.86 KB, text/plain)
2017-12-28 17:05 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,40.12 KB, text/plain)
2017-12-28 17:05 UTC, Toralf Förster
Details
environment (environment,124.11 KB, text/plain)
2017-12-28 17:05 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.79 KB, application/x-bzip)
2017-12-28 17:06 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,25.79 KB, application/x-bzip)
2017-12-28 17:06 UTC, Toralf Förster
Details
net-fs:openafs-1.6.22.1:20171228-094234.log (net-fs:openafs-1.6.22.1:20171228-094234.log,469.18 KB, text/plain)
2017-12-28 17:06 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,49.23 KB, application/x-bzip)
2017-12-28 17:06 UTC, Toralf Förster
Details
emerge-info.txt (emerge-info.txt,15.88 KB, text/plain)
2019-05-10 18:19 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,251.29 KB, text/plain)
2019-05-10 18:19 UTC, Toralf Förster
Details
environment (environment,115.64 KB, text/plain)
2019-05-10 18:19 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.23 KB, application/x-bzip)
2019-05-10 18:19 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,28.12 KB, application/x-bzip)
2019-05-10 18:19 UTC, Toralf Förster
Details
net-fs:openafs-1.6.22.1:20190508-052409.log (net-fs:openafs-1.6.22.1:20190508-052409.log,447.16 KB, text/plain)
2019-05-10 18:19 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,45.44 KB, application/x-bzip)
2019-05-10 18:19 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-12-28 17:05:51 UTC
x86_64-pc-linux-gnu-gcc -I. -I.. -I../nfs -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/afs -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/afs/UKERNEL -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/config -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/rx -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/rx/UKERNEL -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/rxkad -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/util -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/afs/UKERNEL -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/afs -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/util -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/rxkad -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/config -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/fsint -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/vlserver -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/libuafs -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/include -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/include/afs  -O -DKERNEL   -I. -I.. -I/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/config  -D_REENTRANT -DKERNEL -DUKERNEL   -D_LARGEFILE64_SOURCE -c /var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/afs/afs_memcache.c
/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/afs/afs_memcache.c:16:10: fatal error: rpc/types.h: No such file or directory
 #include "rpc/types.h"
          ^~~~~~~~~~~~~
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-no-multilib-hardened_libressl_20171227-170709

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)
  [4]   pypy (fallback)
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.6.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv net-fs/openafs
[ebuild  N    ] net-fs/openafs-1.6.22.1  USE="ncurses pam supergroups -bitmap-later -debug -doc -fuse -kerberos (-modules) -pthreaded-ubik"
Comment 1 Toralf Förster gentoo-dev 2017-12-28 17:05:53 UTC
Created attachment 511854 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-12-28 17:05:56 UTC
Created attachment 511856 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-12-28 17:05:59 UTC
Created attachment 511858 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-12-28 17:06:02 UTC
Created attachment 511860 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-12-28 17:06:05 UTC
Created attachment 511862 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-12-28 17:06:08 UTC
Created attachment 511864 [details]
net-fs:openafs-1.6.22.1:20171228-094234.log
Comment 7 Toralf Förster gentoo-dev 2017-12-28 17:06:11 UTC
Created attachment 511866 [details]
temp.tbz2
Comment 8 Pacho Ramos gentoo-dev 2018-05-28 14:40:34 UTC
is 1.6.22.2 affected by this too?
Comment 9 Toralf Förster gentoo-dev 2018-05-28 18:36:35 UTC
(In reply to Pacho Ramos from comment #8)
yes, faield in 17.0-hardened_20180519-101508
Comment 10 Pacho Ramos gentoo-dev 2018-06-20 09:20:37 UTC
*** Bug 650720 has been marked as a duplicate of this bug. ***
Comment 11 Tamas Jantvik 2018-06-28 11:48:44 UTC
And unfortunately openafs v1.6.22.3 doesn't compile either; throws the same error.
Comment 12 Tamas Jantvik 2018-06-29 10:39:40 UTC
Seems upstream are working on this and it might be fixed for 1.6.23. For the impatient there are some quick-and-dirty ebuilds that use a snapshot at https://github.com/tsjk/gentoo-ebuilds/tree/master/net-fs.
Comment 13 Larry the Git Cow gentoo-dev 2019-01-05 14:02:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ee38441e0210b8d43f22bb8afe100d5c2a1c58c

commit 2ee38441e0210b8d43f22bb8afe100d5c2a1c58c
Author:     Andrew Savchenko <bircoph@gentoo.org>
AuthorDate: 2019-01-05 13:51:54 +0000
Commit:     Andrew Savchenko <bircoph@gentoo.org>
CommitDate: 2019-01-05 14:00:13 +0000

    net-fs/openafs: 1.8.2 version bump
    
    - Update to upstream version 1.8.2 and patches from 1_8_x branch
      till 20181001. This fixes some open Gentoo bugs:
        472184 (probably), 544162, 603890 (likely), 640874, 642542.
    - Merge openafs-kernel back into openafs:
      - save lots of build time (configure, compilling common code);
      - original split was required due to problems in the build system
        (e.g. -j1) which are fixed now.
      Now kernels < 4.21 are supported.
    - Add support for new features:
      - enable gssapi via kerberos;
      - allow to choose between namei and inode file servers;
      - add Tivoli TSM API support;
      - conrol ubik-read-while-write mode;
      - deprecate kauth tools (may be enabled via flag);
      - add support for perl bindings via swig;
    - Docs:
      - build api docs (using doxygen);
      - Build PDF docs, support all three generators (fop, dblatex,
        docbook2pdf).
    - Avoid file collision with heimdal (bug 631584).
    
    The client is tested on various configurations, the server is not.
    
    Closes: https://bugs.gentoo.org/472184
    Closes: https://bugs.gentoo.org/544162
    Closes: https://bugs.gentoo.org/603890
    Closes: https://bugs.gentoo.org/631584
    Closes: https://bugs.gentoo.org/640874
    Closes: https://bugs.gentoo.org/642542
    Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
    Package-Manager: Portage-2.3.53, Repoman-2.3.11

 net-fs/openafs/Manifest             |   3 +
 net-fs/openafs/metadata.xml         |  16 +-
 net-fs/openafs/openafs-1.8.2.ebuild | 341 ++++++++++++++++++++++++++++++++++++
 3 files changed, 358 insertions(+), 2 deletions(-)
Comment 14 Toralf Förster gentoo-dev 2019-05-10 18:19:13 UTC
it is still an issue at stable amd64 tinderbox image 17.0-hardened_stable-libressl_20190503-095707
Comment 15 Toralf Förster gentoo-dev 2019-05-10 18:19:17 UTC
Created attachment 575862 [details]
emerge-info.txt
Comment 16 Toralf Förster gentoo-dev 2019-05-10 18:19:20 UTC
Created attachment 575864 [details]
emerge-history.txt
Comment 17 Toralf Förster gentoo-dev 2019-05-10 18:19:23 UTC
Created attachment 575866 [details]
environment
Comment 18 Toralf Förster gentoo-dev 2019-05-10 18:19:26 UTC
Created attachment 575868 [details]
etc.portage.tbz2
Comment 19 Toralf Förster gentoo-dev 2019-05-10 18:19:29 UTC
Created attachment 575870 [details]
logs.tbz2
Comment 20 Toralf Förster gentoo-dev 2019-05-10 18:19:32 UTC
Created attachment 575872 [details]
net-fs:openafs-1.6.22.1:20190508-052409.log
Comment 21 Toralf Förster gentoo-dev 2019-05-10 18:19:35 UTC
Created attachment 575874 [details]
temp.tbz2
Comment 22 Cheyenne Wills 2019-05-16 15:19:32 UTC
I believe the openafs-stable-1.6.23 commit fixes this problem
 fbf1ed1a0870d67b2ea80cf9bc00c5b7b6f7fbec

https://gerrit.openafs.org/#/c/12972/
Comment 23 Andrew Savchenko gentoo-dev 2019-06-08 11:27:32 UTC
(In reply to Cheyenne Wills from comment #22)
> I believe the openafs-stable-1.6.23 commit fixes this problem
>  fbf1ed1a0870d67b2ea80cf9bc00c5b7b6f7fbec
> 
> https://gerrit.openafs.org/#/c/12972/

This patch is insufficient. With it applied the build still fails with:

/var/tmp/portage/net-fs/openafs-1.6.22.1/work/openafs-1.6.22.1/src/rxkad/rxkad_client.c:40:10: fatal error: rpc/types.h: No such file or directory

I checked HEADs of openafs-stable-1_6_9-branch and openafs-stable-1_6_x — they still contain this include.

I think this issue is not worth further time waste, since this issue is fixed in 1.8.x branch and as soon as some version will be stabilized, this bug can be closed.